<?php
namespace Claromentis\Infocapture\ExpressionLanguage\Nodes;

$GLOBALS["__65da1b1ec2d6653e8" . "a0ab7848e536215"] = (@$GLOBALS["__65da1b1ec2d6" . "653e8a0ab7848e" . "536215"] ?: array()) + array("_29225c3" . "f2cb4b5b" . "b8cdfeca" . "d11c6f49" . "1" => base64_decode("Og=" . "="), "_815f8c910234a" . "2dffe6ce5347a6" . "bee02" => base64_decode("aWRlbnRpZmll" . "ciA="));
class IdentifierNode extends Node
{
    protected $namespace;
    protected $ident;
    public function __construct($_ed87912b6d492c5fe6dff2f45a68f0ac, $_024d8abd4af839286d8b693334fe2888)
    {
        $this->namespace = $_ed87912b6d492c5fe6dff2f45a68f0ac;
        $this->ident = $_024d8abd4af839286d8b693334fe2888;
    }
    
    
    
    
    public function Children() : array
    {
        return [];
    }
    public function Name() : string
    {
        if ($this->namespace) {
            $name = $this->namespace . $GLOBALS["__65da1b1e" . "c2d6653e8a" . "0ab7848e53" . "6215"]["_29225c3f2cb4b5bb8cdfecad11c6" . "f491"] . $this->ident;
        } else {
            $name = $this->ident;
        }
        return $GLOBALS["__65da1b1ec2d6653e8a0ab7848" . "e536215"]["_815f8c910234a2dffe6ce5347" . "a6bee02"] . $name;
    }
    public function NS() : string
    {
        return $this->namespace;
    }
    public function Ident() : string
    {
        return $this->ident;
    }
}